Remote Desktops snap-in

The Remote Desktops snap-in allows you to manage Remote Desktop connections to terminal servers and computers running Windows Server 2003 family server operating systems. The following topics provide information about this snap-in:

  • For help with specific tasks, see How to.
  • For general background information, see Remote Desktops snap-in overview.


How to...

  • Add the Remote Desktops snap-in
  • Create a new connection
  • Connect to a Session
  • Disconnect from a Session
  • Change an existing connection
  • Delete a connection


Add the Remote Desktops snap-in

Microsoft Windows graphic

To add the Remote Desktops snap-in

  1. Run MMC by doing one of the following:
    • Click Start, click Run, type mmc, and then click OK.
    • At a command prompt, type mmc, and then press ENTER.
  2. On the Console menu, click File, and then click Add/Remove Snap-in.
  3. In the dialog box that opens, click Add.
    4. In the Available Standalone Snap-ins list, click Remote Desktops.
  4. Click Add, and then click Close.
  5. Click OK to close the Add/Remove Snap-in dialog box.

Note

  • You can also open the Remote Desktops snap-in from the Administrative Tools folder in Control Panel. XOX

Related Topics


Create a new connection

To create a new connection

  1. Open Remote Desktops snap-in.
  2. In the console tree, right-click Remote Desktops.
  3. Click Add new connection....
  4. In the Add New Connection dialog box, in Server name or IP address, type the name or TCP/IP address of the server. Click Browse to look for a server.
  5. Optionally, in Connection Name, type a friendly name for this connection.
  6. Uncheck Connect to console if you do not want to connect to the console session on the server.

    Important

    • A connection to the console session always provides a full desktop session, just as you would see if you were logged on to the server locally. If you want to start a specific program on connection to the server, you must uncheck Connect to console ands specify a program path and file name on the Other tab.
  7. Optionally, In Logon information, supply the User name, Password and Domain for automatic logon to the server. Click OK.

Notes

  • XOX
  • Depending on the configuration of the Terminal server, you might be prompted to supply your password upon connection even if you specify it in the Add New Connection dialog box.


Connect to a session

To connect to a session

  1. Open Remote Desktops snap-in.
  2. If you have not already done so, create the connection to the terminal server or computer to which you want to connect.
  3. In the console tree, right-click the connection.
  4. On the context menu, click Connect.

Note

  • XOX


Disconnect from a session

To disconnect from a session

  1. Open Remote Desktops snap-in.
  2. In the console tree, right-click the connection.
  3. On the context menu, click Disconnect.

Notes

  • XOX
  • Your session remains active on the server.


Change an Existing Connection

  • Change the server to which to connect
  • Change logon information
  • Change client screen area
  • Specify the program to start upon connection


Change the server to which to connect

To change the server to which to connect

  1. Open Remote Desktops snap-in.
  2. In the console tree, right-click the connection you want to change.
  3. In the context menu, click Properties.
  4. On the General tab, in Server name or IP address, type the name or TCP/IP address of the server, or click Browse to look for a server.
  5. Optionally, in Connection name, type a friendly name for this connection.
  6. Optionally, In Logon information, check the checkbox for automatic logon, and then provide the User name, Domain, and Password. Click OK.

Notes

  • XOX
  • Changes to the connection take effect the next time you connect to the server.
  • Depending on the configuration of the computer to which you are connecting, you might be prompted to supply your password upon connection even if you specify it in the Logon information area.


Change logon information

To change logon information

  1. Open Remote Desktops snap-in.
  2. In the console tree, right-click the connection you want to change.
  3. In the context menu, click Properties.
  4. On the General tab, under Logon information, type a new user name, password, and domain name, and then click OK.

Note

  • XOX


Change client screen area

To change client screen area

  1. Open Remote Desktops snap-in.
  2. If you have not already done so, create the connection.
  3. In the console tree, right-click the connection you want to change.
  4. In the context menu, click Properties.
  5. On the Screen Options tab, choose the desktop size you want or enter a custom desktop size. The default is Expand to fill MMC Result Pane.

Notes

  • XOX
  • Changes to the connection take effect the next time you connect to the server.


Specify the program to start upon connection

To specify the program to start upon connection

  1. Open Remote Desktops snap-in.
  2. If you have not already done so Create the connection.
  3. In the console tree, right-click the connection you want to change.
  4. In the context menu, click Properties.
  5. On the General tab, uncheck Connect to console.

    Important

    • You must uncheck this option in order to have a specific program start on connection to the server.
  6. On the Other tab, click Start the following program on connection and type the program path and file name. If you do not specify the program to start, the connection starts at the Windows desktop.
  7. Check the Redirect local drives when logged on to the remote computer checkbox to allow the remote computer to access drives on the local computer.

Notes

  • XOX
  • Changes to the connection take effect the next time you connect to the server.
  • If you choose to redirect local drives when logged on to the remote computer, be aware of the security implications of redirection. For more information, see Making local resources available to a terminal server.


Delete a connection

To delete a connection

  1. Open Remote Desktops snap-in.
  2. In the console tree, right-click the connection you want to delete.
  3. In the context menu, click Delete.

Notes

  • XOX


Remote Desktops snap-in overview

The Remote Desktops snap-in is ideal for administrators who are remotely administering multiple servers or terminal servers. You can create Remote Desktop connections to multiple terminal servers or to computers running Windows 2000 Server or Windows Server 2003 family operating systems with the Remote Desktops MMC snap-in. A navigable tree display provides easy switching between connections.

By default, the Remote Desktops snap-in connects you to the console session of the computer you specify in the connection. To run a specific program on connection, create a new connection that specifies the program name, and ensure that the default behavior is not selected. For more information, see To specify the program to start upon connection.

Most of the procedures you can perform with the Remote Desktops snap-in require that you be logged on as an administrator or a member of the Administrators group. If your computer is connected to a network, network policy settings may prevent you from completing a given procedure.


Use the Remote Desktops snap-in

  • Create a new connection
  • Connect to a Session
  • Disconnect from a Session
  • Change the server to which to connect
  • Change logon information
  • Change client screen area
  • Change the starting program
  • Delete a connection